ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Charles Horan" <ctho...@sympatico.ca>
Subject RE: JAXP
Date Mon, 21 Jan 2002 18:54:57 GMT
Thanks for you reply, I guess my follow up message was lost :

I found the error, I had a copy of JAXP.jar in my jre\lib\ext directory.
Once I removed that the error went away.



-----Original Message-----
From: Bosch, Mike [mailto:mike.bosch@benefitpoint.com]
Sent: January 21, 2002 12:48 PM
To: 'Ant Users List'
Subject: RE: JAXP



My guess is that you don't actually have a parser in your classpath.  JAXP
isn't an XML parser but rather just the interfaces that make up the JAXP
specification.  The default parser for your version of ant is crimson.jar.
See if it's in the ant lib directory.  If it's not then you need to put a
copy of crimson.jar in that directory.

-Mike

-----Original Message-----
From: Charles Horan [mailto:cthoran@sympatico.ca]
Sent: Saturday, January 19, 2002 11:55 PM
To: Ant List
Subject: JAXP


I have a build file that used to work fine, I have not changed the build
file but now
I am getting the following error :

BUILD FAILED

No JAXP compliant XML parser found. Please visit http://xml.apache.org for a
suitable parser

I am using ant 1.4.1 and JAXP.jar is in my classpath.


The error originates in
org.apache.tools.ant.Main.runBuildMain on line 443.

At this point ant is attempting to load an XML parser.

Has anyone else seen this?


Regards
Charles Horan


--
To unsubscribe, e-mail:   <mailto:ant-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-user-help@jakarta.apache.org>

--
To unsubscribe, e-mail:   <mailto:ant-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-user-help@jakarta.apache.org>


--
To unsubscribe, e-mail:   <mailto:ant-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-user-help@jakarta.apache.org>


Mime
View raw message